---
# PROPERTY OF BANKOF.CLOUD 2022
# DO NOT COPY, CLONE or REUSE WITHOUT PERMISSION

########################################################
# BofA Ansible Template - do NOT share
########################################################

### playbook is used to validate Ansible operates correctly
- hosts: all
  gather_facts: false
  # BofC Security Rule: never set debugger to on_failed!
  debugger: on_failed
  user: "{{ .Param "rsa/key-user" }}"

  vars:
    test: "BofC_all_customers.csv"

  tasks:
    - name: "BofC Validate"
      debug:
        msg: "Testing Ansible Variable: {{`{{ test }}`}}"

    - name: "Validating access to system"
      file:
        path: "{{`{{ test }}`}}"
        state: touch

    - name: "Showing Available DRP Data"
      debug:
        var: bofc
      ignore_errors: true
